interface String {
  /**
   * 通过字符串，获取对象的值
   */
  fetchValue({ }): any

  /**
   * 将带点的字符串，转换成嵌套对象
   * 
   * @param value 
   */
  resolveObject(value: any): {}

  /**
   * 转换为文件地址
   */
  fileLinkTransfer(): string?
}

interface File {
  /**
   * 转换为文件地址
   */
  fileLinkTransfer(): string?
}
interface Number {
  /**
   * 格式化为文件大小单位结尾的字符串
   * 
   * @param fractionDigits 
   */
   formatFileSize(fractionDigits:number): string
}

interface Date {
  /**
   * 格式化日期
   * 
   * @param fmt 日期格式: yyyy-MM-dd hh:mm:ss
   */
  format(fmt: string): string
}

interface Array {
  /**
   * 数组转 tree
   */
  toTree(): { map: {}, tree: [] }
}